Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-02-2017 18:38:04

Yanatoum
Membre
Lieu : Dyle
Distrib. : Debian 9 Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : xfce
Inscription : 10-07-2016

[Resolu] Nvidia geforce gt 710

Bonjour à Vous,

Remplacement de carte graphique Radeon 4850 par une Nvidia GEFORCE GT 710.
PC d'une dizaine d'années, Intel(R) Core(TM)2 Duo CPU E7400 @ 2.80GHz, 4096 MB de mémoire DDR2.

Surprise: affichage optimal au premier démarrage sans pilote particulier. Un message d'erreur quand même lors du tout premier affichage VGA: Kepler-chipset error.
C'est, paraît-il, une architecture particulière GPU des cartes Nvidia. Le script 'nvidia-detect' me retourne: It is recommended to install the nvidia-driver/jessie-backports package. 

grep -B2 'Module class: X.Org Video Driver' /var/log/Xorg.0.log


[    23.792] (II) Module nouveau: vendor="X.Org Foundation"
[    23.792]  compiled for 1.16.0, module version = 1.0.11
[    23.792]  Module class: X.Org Video Driver


Lors de l'installation avec synaptic, un message m'annonce un conflit avec le 'driver nouveau' (celui de l'ancienne carte ?) qui doit se régulariser au prochain démarrage, puis finalement une invitation à modifier manuellement le fichier 'xorg.conf'. Aîe ! Ça se corse !
Redémarrage et ... plus rien, à part mon curseur qui clignote en haut à gauche, clavier inopérant.

Heureusement, GRUB me permet de démarrer sur un autre disque DFLinux avec lequel je peux afficher les fichiers du premier.
J'ai bien un répertoire xorg.conf.d en /usr/share/x11/ mais pas de trace d'un fichier xorg.conf.

En mode 'recovery', les commandes 'apt-get update, … install …. du wi-ki sur les cartes graphiques nvidia n'établissent pas la connexion avec les dépôts, ni en Wi-Fi ni par câble ethernet.
Me voilà donc un peu  kernal_panic.gif
Une Idée, une piste à explorer ?

Dernière modification par Yanatoum (19-02-2017 11:21:14)

Hors ligne

#2 18-02-2017 19:24:59

robert2a
Membre
Lieu : France
Distrib. : Buster 10
Noyau : Linux 4.14.0-1 4.14.2-1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : [Resolu] Nvidia geforce gt 710

Bonjour

la GT 710 pose problème , normalement le noyau 3.16 devrait bien détecter  la serie 7XX
tu a installé le driver non free de jessie , le 340.xx  ?

le fichier  xorg.conf (son contenu )

Section "Device"
        Identifier "My GPU"
        Driver "nvidia"
EndSection



la création avec un copier / coller
se mettre dans le bon dossier

cd /etc/X11/


créer le fichier (ne pas oublier d enregistrer ) attention si tu le créer en console pure ne pas faire d'erreurs , (majuscules et minuscules ) si tu le note sur un papier

nano xorg.conf


visualiser le contenu du dossier /etc/X11/

ls



nota : l'utilisation du noyau 4.9 des backports  peut résoudre le problème avec "nouveau" (pas certain roll  )

pour ton écran noir , il te manque juste le fichier xorg.conf . normalement il faut le créer avant de redémarrer.
si tu arrive a passer en console pure tu le fais et au prochain démarrage tu retrouve ton bureau

ps: pour les 2 messages , effectivement l installation du driver nvidia non-free blacklist nouveau et le second tu dois créer ce petit fichier avant de redémarrer

rappel :  pour le driver non-free des backports de jessie ou celui de stretch ce fichier n'est plus nécessaire . (a l installation le deuxième message a disparut )

Dernière modification par robert2a (18-02-2017 19:46:51)

Hors ligne

#3 19-02-2017 11:23:31

Yanatoum
Membre
Lieu : Dyle
Distrib. : Debian 9 Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : xfce
Inscription : 10-07-2016

Re : [Resolu] Nvidia geforce gt 710

Merci Robert2a,
Nickel ! Ça fonctionne avec le contenu de ton xorg.conf. Probablement mal interprété les info. du wiki.
A +

Petite précision: j'ai utilisé la version 304.xx de la catégorie 'jessie-backports. Synaptic propose la 340 pour la geforce 720 avec une étoile, disponibilité d'une version plus à jour. Pas de changement spectaculaire de l'affichage si ce n'est la disparition du message 'Kernel-chipset error'.

Dernière modification par Yanatoum (20-02-2017 12:41:03)

Hors ligne

Pied de page des forums